import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';

// tests for PaymentMethod
void main() {
  final instance = PaymentMethodBuilder();
  // TODO add properties to the builder and call build()

  group(PaymentMethod, () {
    // bool active
    test('to test the property `active`', () async {
      // TODO
    });

    // Stabiler Programm-Identifier — z. B. `\"cash\"`, `\"ec_card\"`. Eindeutig pro Eintrag. Wird vom Aufrufer beim Anlegen gesetzt.
    // String code
    test('to test the property `code`', () async {
      // TODO
    });

    // DateTime createdAt
    test('to test the property `createdAt`', () async {
      // TODO
    });

    // String id
    test('to test the property `id`', () async {
      // TODO
    });

    // Display-Name in der UI — frei via PATCH änderbar.
    // String name
    test('to test the property `name`', () async {
      // TODO
    });

  });
}
